Package weka

# Class Run

java.lang.Object
weka.Run

public class Run extends Object
Helper class that executes Weka schemes from the command line. Performs Suffix matching on the scheme name entered by the user - e.g.
java weka.Run NaiveBayes
will prompt the user to choose among weka.classifiers.bayes.ComplementNaiveBayes, weka.classifiers.bayes.NaiveBayes, weka.classifiers.bayes.NaiveBayesMultinomial, weka.classifiers.bayes.NaiveBayesMultinomialUpdateable, weka.classifiers.bayes.NaiveBayesSimple, weka.classifiers.bayes.NaiveBayesUpdateable

Version:
  $Revision: 13477 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Run.SchemeType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Run()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<String>`
  `findSchemeMatch(Class<?> classType, String schemeToFind, boolean matchAnywhere, boolean notJustRunnables)`
  Find a scheme that matches the supplied suffix
  `static List<String>`
  `findSchemeMatch(String schemeToFind, boolean matchAnywhere)`
  Find a scheme that matches the supplied suffix
  `static void`
  `main(String[] args)`
  Main method for this class.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Run

    public Run()

- ## Method Details

  - ### findSchemeMatch

    public static List<String> findSchemeMatch(Class<?> classType, String schemeToFind, boolean matchAnywhere, boolean notJustRunnables)
    Find a scheme that matches the supplied suffix
    Parameters:
      `classType` - matching schemes must be of this class type
      `schemeToFind` - the name of the scheme to find
      `matchAnywhere` - if true, the name is matched anywhere in the non-package part of candidate schemes
    Returns:
      a list of fully qualified matching scheme names

  - ### findSchemeMatch

    public static List<String> findSchemeMatch(String schemeToFind, boolean matchAnywhere)
    Find a scheme that matches the supplied suffix
    Parameters:
      `schemeToFind` - the name of the scheme to find
      `matchAnywhere` - if true, the name is matched anywhere in the non-package part of candidate schemes
    Returns:
      a list of fully qualified matching scheme names

  - ### main

    public static void main(String[] args)
    Main method for this class. -help or -h prints usage info.
    Parameters:
      `args` -